#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

tools/setup.sh

rm -rf $BUILD_DIR
mkdir $BUILD_DIR

cmake -S . -B $BUILD_DIR -DMOON_DEBUG_SYMBOLS=ON -G "$CMAKE_GEN"
cmake --build $BUILD_DIR
cmake --install $BUILD_DIR

mkbootimg luna.json Luna.iso